/* Enable submenu positioning */
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu > .dropdown-menu {
    position: absolute;
    top: 0;
    left: 100%; /* Opens to the right */
    margin-top: -1px;
    display: none;
}

.dropdown-submenu:hover > .dropdown-menu {
    display: block;
}

.centered-span {
    justify-content: center; /* Centers content horizontally */
    align-items: center; /* Centers content vertically */
}

#spinner-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.7);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner {
    border: 6px solid #f3f3f3;
    border-top: 6px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.nav-logo {
    max-height: 40px;
    height: auto;
    width: auto;
}

.custom-text {
    -webkit-text-stroke: 1px black;

}

hr {
    color: black !important;
    height: 3px !important;
    background-color: black !important;
    border: none !important;
}

.table-responsive thead th {
    position: sticky;
    top: 0;
    z-index: 2;
}

.table-responsive tbody th {
    position: sticky;
    left: 0;
    z-index: 1;
}

div .choices {
    width: 50% !important;
}

/*.uom-select {
    padding-left: 4px;
    padding-right: 4px;

}*/

/*#loginForm {
    width: 100vw; 
    margin: 0; 
    border-radius: 0;
}*/
